Freeciv-3.3: /fast/freeciv/nightly/main/ai/default/daidomestic.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
daidomestic.c File Reference
`#include <string.h>`
`#include <math.h>`
`#include "log.h"`
`#include "mem.h"`
`#include "city.h"`
`#include "game.h"`
`#include "government.h"`
`#include "map.h"`
`#include "movement.h"`
`#include "traderoutes.h"`
`#include "unit.h"`
`#include "unitlist.h"`
`#include "unittype.h"`
`#include "pf_tools.h"`
`#include "citytools.h"`
`#include "unittools.h"`
`#include "srv_log.h"`
`#include "advbuilding.h"`
`#include "advchoice.h"`
`#include "advdata.h"`
`#include "infracache.h"`
`#include "aitraits.h"`
`#include "handicaps.h"`
`#include "daicity.h"`
`#include "daidata.h"`
`#include "daimilitary.h"`
`#include "daiplayer.h"`
`#include "daitech.h"`
`#include "daitools.h"`
`#include "daidomestic.h"`

Go to the source code of this file.

## Functions

static void | dai_choose_help_wonder (struct ai_type *ait, struct city *pcity, struct adv_choice *choice, struct adv_data *ai)
static void | dai_choose_trade_route (struct ai_type *ait, struct city *pcity, struct adv_choice *choice, struct adv_data *ai)
struct adv_choice * | domestic_advisor_choose_build (struct ai_type *ait, struct player *pplayer, struct city *pcity)
void | dai_wonder_city_distance (struct ai_type *ait, struct player *pplayer, struct adv_data *adv)

## Function Documentation

## ◆ dai_choose_help_wonder()

static void dai_choose_help_wonder | ( | struct ai_type * | ait,
|  | struct city * | pcity,
|  | struct adv_choice * | choice,
|  | struct adv_data * | ai
| ) |  |

static

Evaluate the need for units (like caravans) that aid wonder construction. If another city is building wonder and needs help but pplayer is not advanced enough to build caravans, the corresponding tech will be stimulated.

Definition at line 71 of file daidomestic.c.

Referenced by domestic_advisor_choose_build().

## ◆ dai_choose_trade_route()

static void dai_choose_trade_route | ( | struct ai_type * | ait,
|  | struct city * | pcity,
|  | struct adv_choice * | choice,
|  | struct adv_data * | ai
| ) |  |

static

Evaluate the need for units (like caravans) that create trade routes. If pplayer is not advanced enough to build caravans, the corresponding tech will be stimulated.

Definition at line 172 of file daidomestic.c.

Referenced by domestic_advisor_choose_build().

## ◆ dai_wonder_city_distance()

void dai_wonder_city_distance | ( | struct ai_type * | ait,
|  | struct player * | pplayer,
|  | struct adv_data * | adv
| ) |  |

Calculate walking distances to wonder city from nearby cities.

Definition at line 642 of file daidomestic.c.

Referenced by cai_wonder_city_distance(), and texwai_wonder_city_distance().

## ◆ domestic_advisor_choose_build()

struct adv_choice * domestic_advisor_choose_build | ( | struct ai_type * | ait,
|  | struct player * | pplayer,
|  | struct city * | pcity
| ) |  |

This function should fill the supplied choice structure.

If want is 0, this advisor doesn't want anything.

Definition at line 488 of file daidomestic.c.

Referenced by dai_city_choose_build().